# Interface ReadableStreamDefaultController<R>

interface ReadableStreamDefaultController<R> {
desiredSize: null | number;
close(): void;
enqueue(chunk?): void;
error(e?): void;
}

#### Type Parameters

- R = any

- Defined in node_modules/@types/node/stream/web.d.ts:188
- Defined in node_modules/@types/node/stream/web.d.ts:194

#####
Index

### Properties

desiredSize

### Methods

close
enqueue
error

## Properties

### `Readonly` desiredSize

desiredSize: null | number

- Defined in node_modules/@types/node/stream/web.d.ts:189

## Methods

### close

- close(): void

- #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:190

### enqueue

- enqueue(chunk?): void

- #### Parameters

  - `Optional` chunk: R

  #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:191

### error

- error(e?): void

- #### Parameters

  - `Optional` e: any

  #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:192